# TemporaryLunarCoins

[If you're a modder and want to take over this mod or make your own version, feel free to!]

This mod makes Lunar Coins reset every run with options for drop chance and multiplier. 
Since [LoonerCoins](https://thunderstore.io/package/paddywan/LoonerCoins/) is deprecated and someone asked me about it, I decided to make a simple and more basic version.
It borrows part of an IL hook from LoonerCoins, so credit for that goes to them.

## Features
 - Makes Lunar Coins temporary by resetting at the beginning of every run.
	 - Participating players are frozen in place at the beginning of the game until everyone agrees to reset their lunar coins (to prevent griefing)
     - This step can be skipped if you set automatic removal in the config
 - Drop chances and multiplier can be set via config
 - Happens automatically for everyone who has the mod installed


## Installation

- Install [BepInEx Mod Pack](https://thunderstore.io/package/bbepis/BepInExPack/) (if you haven't already)
- Install [R2API](https://thunderstore.io/package/tristanmcpherson/R2API/) (if you haven't already)
- Place the mod in the Risk of Rain 2\BepInEx\plugins folder.

Only the host requires this mod, but clients can automatically have their lunar coins removed if they also have the mod installed

If you want to change the config
- Run the game once after installing the mod and close it out to create a config file
- The config file will be created at Risk of Rain 2\BepInEx\config
- Open the config and adjust to your liking
 
## TODO / Issues
- If you set `AlwaysRemoveCoinsInMultiplayer` to true, your Lunar Coins will always be reset in multiplayer games, even if the host isn't using this mod
- Late joiners are not required to have their lunar coins removed

## Contact
![contact](https://i.imgur.com/gPBrPrQ.png)

## Changelog
- 0.4.0 Update for recent patch
- 0.3.1 Somehow added the an old readme D:
- 0.3.0 Added option for automatic lunar coin removal for anyone who has the mod installed. Other people will still be frozen.
- 0.2.3 Update for new game version
- 0.2.2 Updated config description since it was misleading and unclear. Thanks ShatteredOmega!
- 0.2.1 Feature Request: Automatic removal of coins in single player mode via config. Additionally, "tic_aye" will now also be accepted as command.
- 0.2.0 Update for Artifacts Update
- 0.1.0 Initial release
